Customer Account Statements
An account statement lists every transaction you make on the Nium One platform, including deposits, withdrawals, spending, fees, payments, refunds, and so forth. As a client offering a financial account to your customers, you can give your customers an account statement either periodically or based on their specific requests. An account statement helps your customers keep the information for their records to reconcile their transactions. It also helps them analyze their account activity.
You can generate an account statement for your customers using the Report APIs — a unified set of APIs designed to support multiple report types. This means you integrate once and can access different report types in the future without additional API integrations.
- Clients can generate an account statement via an API and user interface.
- A multicurrency account statement is a single document that lists all transactional activity across the currencies.
- A currency-wise statement gives the flexibility to download statements in your desired currency.
- A customizable frequency to download account statements.
- An account statement can be downloaded any time and contain up to six months' worth of data.
- An account statement is available in CSV and PDF file formats.
| Format | Best used for | Other benefits |
|---|---|---|
| CSV | Customization, data analysis, and integration with other software. | This format is standard for all clients. |
| An accurate representation for reviewing and printing. | Client-specific template with the client's logo and support email address. |
Configure your account statement
If you want to use this feature, you need to contact your Nium representative and provide the below details:
- Your logo to be included in the statement.
- Logo file — Saved in a public-domain file type, such as JPG, PNG, and PDF.
- Logo dimensions — The maximum height is 60 pixels. The width is taken based on the logo's aspect ratio.
- Logo size — The maximum file size is 250 KB.
- The email address of your customer support team for customers to raise any issue regarding the statement. It's placed under the Important section at the bottom of the PDF.
Nium makes use of the above details and works with you to finalize the statement template to be defined in the system and ready for use.
Use your account statement
A typical account statement contains the following:
- Account holder's name and address
- Period of statement
- Wallet hash ID of the customer
- Balance summary — the opening and closing balance of each currency
- Currency-wise transaction details. The transactions made in each currency during the statement period, including deposits, withdrawals, transfers, fees, and exchange rates used for currency conversions.
The filename uses dates in YYYY-MM-DD format and its naming convention is either:
Account_statement_<startdate>-<enddate>.csvAccount_statement_<startdate>-<enddate>.pdf
Example file name: Account_statement_2023-02-15-2023-03-14.csv
Generate a statement
To generate an account statement:
- Request a statement using the Report APIs request. Nium receives the request and starts generating the report.
- Once the account statement is generated, Nium sends the Report Generation Status webhook.
- Use the webhook status to decide what to do next:
- If
statusisCOMPLETED, download the statement using the Download Generated Report request. - If
statusisFAILED, request the statement again and wait for the next webhook update.
Push a statement to SFTP
In addition to downloading the account statement via the View Account Statement request, Nium can push the generated report directly to your SFTP server. This is useful if you prefer to automate retrieval without calling the API after every webhook.
To set up SFTP delivery, contact your Nium representative with your SFTP server details. The following authentication types are supported:
- Password-based — authenticate using a username and password.
- SSH key-based — authenticate using a private SSH key.
- SSH key + password-based — authenticate using both a private SSH key and a password.
Once configured, the report is automatically pushed to your SFTP server after the Report Generation Status webhook fires with status: COMPLETED. You do not need to call the View Account Statement request separately in this case.
Nium API & webhook requests
Requests
| API Requests | Endpoint | Description |
|---|---|---|
| Initiate Report Generation | POST /api/v1/client/{clientHashId}/report | Request to generate the account statement. |
| Download Generated Report | GET /api/v1/client/{clientHashId}/report/{reportRequestId}/download | Get the generated account statement. |
Webhook
| Webhook Requests | Description |
|---|---|
| Report Generation Status | Webhook to provide the status of account statement generation. If status = COMPLETED, call the View Account Statement request to view the account statement. |
Report Generation Status
This event is triggered when the requested report status is changed. The report is either successfully generated or failed.
https://<customerHost:Port>/webhook
Header
| Field | Description |
|---|---|
Content-Type | application/json |
Request example
curl --location --request POST 'https://<customerHost:Port>/webhook' \
-H 'content-type: application/json' \
-d '{
"name": "REPORT_GENERATION_STATUS",
"requestedAt": "2026-01-22T10:30:00Z",
"generatedAt": "2026-01-22T10:45:30Z",
"reportRequestId": "6fde3c79-aa16-40f0-bcd9-3d542d3d9880",
"status": "COMPLETED",
"message": "Report generated successfully. File is ready for download."
}'
Response body
| Field | Description | Type |
|---|---|---|
name | The name of the webhook — REPORT_GENERATION_STATUS. | string |
requestedAt | This field contains the report requested date and time in the yyyy-MM-dd HH:mm:ss Coordinated Universal Time format. | string |
generatedAt | This field contains the report generated date and time in the yyyy-MM-dd HH:mm:ss Coordinated Universal Time format. | string |
reportRequestId | The unique report identifier that's generated when the report is requested for which the webhook is triggered. | string |
status | The status of the generated report as COMPLETED or FAILED. | string |
message | The message for the above status if the report is generated successfully or not. | string |
Transaction types
The below tables list transaction types and their naming convention on the account statements.
Payin and Payout transactions
| Transaction type | Naming convention | Description |
|---|---|---|
| Customer wallet credit fund transfer | Account-to-account transfer | The funds received in the wallet from another customer's wallet of the same client. |
| Customer wallet debit fund transfer | Account-to-account transfer | The funds sent from a wallet to another customer's wallet of the same client. |
| Customer wallet debit intra region | Account-to-account transfer | The funds sent from a wallet to another customer's wallet of a different client but of the same regulatory region. |
| Customer wallet credit intra region | Account-to-account transfer | The funds received from a wallet to another customer's wallet of a different client but of the same regulatory region. |
| Customer wallet debit cross region | Account-to-account transfer | The funds sent from a wallet to another customer's wallet of a different client and of a different regulatory region. |
| Customer wallet credit cross region | Account-to-account transfer | The funds received from a wallet to another customer's wallet of a different client and of a different regulatory region. |
| Regulatory auto sweep | PLAIS auto sweep | For European Economic Area (EEA) regulatory requirements, this transaction includes the amount moved from any other currency to the European Monetary Unit (EUR). This is the requested block currency by the regulator, in case of a block instruction. In addition, this is valid if there's insufficient balance in EUR for blocking. |
| Regulatory block | PLAIS block | For EEA regulatory requirements, this transaction includes the amount moved to the blocked amount from EUR. This is the requested block currency by the regulator, in case of a block instruction. |
| Regulatory debit | PLAIS debit | For EEA regulatory requirements, this transaction includes the amount debited from the block amount or wallet balance of EUR. This is the requested block currency by the regulator. This is valid when the regulator asks to send the blocked amount to a beneficiary. |
| Remittance debit / Remittance debit external | Outward fund transfer | Remittance debit: The debit from the wallet for remittance to one's own account. Remittance debit external: The debit from the wallet for remittance to another account. |
| Remittance reversal | Outward fund transfer — returned | The reversal of a remittance transaction. |
| Wallet credit mode card | Funding | The fund credit to a wallet using a card. |
| Wallet credit mode offline | Inward fund transfer | The fund credit to a wallet using an offline mode, such as a bank transfer, from the customer's own account. |
| Wallet credit mode prefund | Funding | The fund credit to a wallet using a client prefund. |
| Wallet credit mode prefund cross currency | Funding | The cross-currency fund credit to a wallet using a client prefund. |
| Wallet credit mode offline third-party | Inward fund transfer | The fund credit to a wallet, in the same currency, using an offline mode, such as a bank transfer from a third party. |
| Wallet fund transfer | Exchanged | The fund transfer within a wallet, from one currency pool to another. |
| Wallet refund | Unload | The refund money from the wallet back to the client. |
| Regulatory debit reversal | PLAIS reversal | For EEA regulatory requirements, this transaction includes the amount returned in case of a failed Regulatory_Debit remittance. |
| Transfer local | Local fund transfer | The local payments debited from the wallet through the payment initiation service (PIS) open banking. |
| Transfer local reversal | Local fund transfer — Returned | The local payments that are credited or reversed from the wallet through the PIS open banking. |
Card transactions
| Transaction type | Naming convention | Description |
|---|---|---|
| Auto sweep | Exchanged | Automatically sweep from one currency to another within a wallet to authorize a transaction if multicurrency auto-sweep is set up. |
| Chargeback credit | Dispute credit | Credit transaction in the case of a chargeback. |
| Debit | Spend | Card transactions, such as POS and ECOM. |
| Debit | Cash withdrawal | Card transactions — ATM only. |
| Original credit | Merchant credit | Receiving incoming Original Credit Transfer (OCT) and credit to the wallet linked to the cardholder's card. |
| Reversal | Reversal | Online reversal of a transaction. |
| Reversal advice | Reversal advice | Reversal is initiated when a timeout scenario happens. If Visa or Mastercard time out a card transaction, they generate a reversal advice to roll back the transaction. In the case of wallet clients, Nium applies the reversal advice and provides the credit back to the customer. In the case of Delegated Model authorization clients, Nium reverses funds on the client prefund account and forwards the reversal advice to the Delegated Model authorization client for crediting funds back to the customer. |
| Settlement credit | Refund | Funds are credited to the cardholder's wallet when the settlement amount, processed during clearing, is less than the transaction amount, processed during the authorization. |
| Settlement debit | Additional charge | Funds are debited from the cardholder's wallet when the settlement amount, processed during clearing, is more than the transaction amount, processed during the authorization. |
| Settlement direct debit | Spend | Funds are debited from the cardholder's wallet for transactions based on the settlement file; for example, force posting. |
| Settlement direct reversal | Transaction reversal | Funds are credited to the cardholder's wallet for the reversal of a debited transaction based on the settlement file. |
| Settlement reversal | Refund | Funds are credited to the cardholder's wallet for the reversal of a debited transaction. |
Fee transactions
| Transaction type | Naming convention | Description |
|---|---|---|
| Account inactive fee | Monthly account inactivity fee | Monthly fee charged for inactive accounts. |
| Account maintenance fee | Monthly account maintenance fee | Monthly fee charged for account maintenance. |
| Add-on card fee | New add-on card fee | Per card issuance fee charged for each add-on card issuance. |
| ATM decline fee | Fee for declined cash withdrawal | Per transaction fee charged on an ATM transaction decline. |
| ATM fee | Fee for cash withdrawal | Per transaction fee charged on an ATM transaction. |
| Ecom fee | Fee for online purchases | Per transaction fee charged on e-commerce or online transactions. |
| International ATM fee | Fee for international cash withdrawal | Per transaction fee charged on an international ATM transaction. |
| Non-ATM Decline Fee | Fee for a declined transaction | Per transaction fee charged on a non-ATM transaction decline. |
| P2P fee | Fee for account-to-account transfer | Per transaction fee charged on a P2P fund transfer. |
| Plastic fee | New plastic card issuance fee | One-time physical card issuance fee. |
| Remit bank fee | Fee for outward fund transfer | Per transaction fee charged on Remittance_Debit and Remittance_Debit_External transactions when the payoutMethod = LOCAL. |
| Remit bank fee swift | Fee for outward fund transfer | Per transaction fee charged on Remittance_Debit and Remittance_Debit_External transactions when the payoutMethod = SWIFT. |
| Remit card fee | Fee for outward fund transfer | Per transaction fee charged on Remittance_Debit transactions when the payoutMethod = CARD. |
| Remit cash fee | Fee for outward fund transfer | Per transaction fee charged on Remittance_Debit transactions when the payoutMethod = CASH. |
| Remit wallet fee | Fee for outward fund transfer | Per transaction fee charged on Remittance_Debit transactions when the payoutMethod = WALLET. |
| Transaction markup | Fee for foreign transaction | Per transaction fee charged on cross-currency transactions when the transaction currency is different from the authorized currency. |
| Virtual card fee | New virtual card issuance fee | One-time virtual card issuance fee. |
| Wallet credit offline fee | Fee for inward fund transfer | Per payin transaction fee when the customer is a remitter (self-funding). |
| Wallet credit third-party fee | Fee for inward fund transfer | Per payin transaction fee when the customer isn't the remitter. |
| Wallet refund fee | Fee for unload funds to program | Per transaction fee charged on wallet refund. |